summaryrefslogtreecommitdiffstats
path: root/python/pygoocanvas
diff options
context:
space:
mode:
author Robby Workman2011-03-16 07:13:49 +0100
committer Robby Workman2011-03-20 18:33:01 +0100
commit7a1b4848a3d34a263544fadf08178c91c12fbad0 (patch)
tree8987d0fc908e371dfa87445425f59c7514075b37 /python/pygoocanvas
parent987d45e99a299c3b24418b2976e8ec9d5f3bf404 (diff)
downloadslackbuilds-7a1b4848a3d34a263544fadf08178c91c12fbad0.tar.gz
python/*: Moved a lot of Python stuff here
The criteria for whether something "belongs" in Development or Libraries or Python or ... is admittedly arbitrary. As a general rule, if it could be either Libraries or Python, it's Python. Otherwise, pick one and we'll go from there... Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'python/pygoocanvas')
-rw-r--r--python/pygoocanvas/README6
-rw-r--r--python/pygoocanvas/pygoocanvas.SlackBuild107
-rw-r--r--python/pygoocanvas/pygoocanvas.info10
-rw-r--r--python/pygoocanvas/slack-desc12
4 files changed, 135 insertions, 0 deletions
diff --git a/python/pygoocanvas/README b/python/pygoocanvas/README
new file mode 100644
index 0000000000..aa2e203640
--- /dev/null
+++ b/python/pygoocanvas/README
@@ -0,0 +1,6 @@
+PyGoocanvas are the python bindings for GooCanvas which is a canvas widget for GTK+ that uses the cairo 2D library for drawing.
+
+Requirements:
+python (included in slackware)
+pygtk (included in slackware)
+goocanvas (found on slackbuilds) \ No newline at end of file
diff --git a/python/pygoocanvas/pygoocanvas.SlackBuild b/python/pygoocanvas/pygoocanvas.SlackBuild
new file mode 100644
index 0000000000..7ce1ce0dc4
--- /dev/null
+++ b/python/pygoocanvas/pygoocanvas.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Copyright 2009, Jonathan Larsen (agentc0re), SLC, UT
+# Contact Info: agentc0re 'AT' learnix 'DOT' net
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Mar 3rd, 2010
+# Change to build "2", fixed the "strip" for bash 4 compatability
+# there were no man pages to be built, removed that section
+#
+
+PRGNAM=pygoocanvas
+VERSION=0.14.1
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux \
+ --disable-static \
+ --enable-shared
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/pygoocanvas/pygoocanvas.info b/python/pygoocanvas/pygoocanvas.info
new file mode 100644
index 0000000000..b4c067e877
--- /dev/null
+++ b/python/pygoocanvas/pygoocanvas.info
@@ -0,0 +1,10 @@
+PRGNAM="pygoocanvas"
+VERSION="0.14.1"
+HOMEPAGE="http://live.gnome.org/PyGoocanvas"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/pygoocanvas/0.14/pygoocanvas-0.14.1.tar.bz2"
+MD5SUM="e0e7b694af2f81a78b0838555d150252"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jonathan Larsen"
+EMAIL="agentc0re@learnix.net"
+APPROVED="dsomero" \ No newline at end of file
diff --git a/python/pygoocanvas/slack-desc b/python/pygoocanvas/slack-desc
new file mode 100644
index 0000000000..70a93d9eef
--- /dev/null
+++ b/python/pygoocanvas/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+pygoocanvas: pygoocanvas (Python Bindings for GooCanvas)
+pygoocanvas:
+pygoocanvas: GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D
+pygoocanvas: library for drawing. It has a model/view split, and uses interfaces
+pygoocanvas: for canvas items and views, so you can easily turn any application
+pygoocanvas: object into canvas items.
+pygoocanvas:
+pygoocanvas: This package contains Python bindings for GooCanvas.
+pygoocanvas:
+pygoocanvas:
+pygoocanvas: